Groovy Documentation

## org.codehaus.groovy.grails.webflow.execution
[Java] Class GrailsFlowExecutorImpl

    java.lang.Object
      org.springframework.webflow.executor.FlowExecutorImpl
          org.codehaus.groovy.grails.webflow.execution.GrailsFlowExecutorImpl

    public class GrailsFlowExecutorImpl
    extends FlowExecutorImpl

Authors:
  Graeme Rocher

Since:
  1.1

Field Summary
`static java.lang.String` | `ACTIVE_FLOW_ID_ATTRIBUTE`

Constructor Summary
`GrailsFlowExecutorImpl(FlowDefinitionLocator definitionLocator, FlowExecutionFactory executionFactory, FlowExecutionRepository executionRepository)` Create a new flow executor.

Method Summary
`FlowExecutionResult` | `resumeExecution(java.lang.String flowExecutionKey, ExternalContext context)`

Field Detail

### ACTIVE_FLOW_ID_ATTRIBUTE

    public static final java.lang.String ACTIVE_FLOW_ID_ATTRIBUTE

Constructor Detail

### GrailsFlowExecutorImpl

    public GrailsFlowExecutorImpl(FlowDefinitionLocator definitionLocator, FlowExecutionFactory executionFactory, FlowExecutionRepository executionRepository)

  Create a new flow executor.
  Parameters:
    `definitionLocator` - the locator for accessing flow definitions to execute
    `executionFactory` - the factory for creating executions of flow definitions
    `executionRepository` - the repository for persisting paused flow executions

Method Detail

### resumeExecution

    @Override
    public FlowExecutionResult resumeExecution(java.lang.String flowExecutionKey, ExternalContext context)

Groovy Documentation